
      subroutine getinp
      include 'pltdat.h'
      character*56 flnms(mxfile)
      namelist/nml/ flnms
c
      read(5,nml)
      do i=1,mxfile
        flnm(i) = flnms(i)
      enddo
      nfiles = 0
      do i=1,mxfile
        len = lenstr(flnm(i))
        if (len.ne.56) then
          write(6,"('getinp: i=',i2,' len=',i2,' file=$',a,'$')") 
     +      i,len,flnm(i)(1:len)
          nfiles = nfiles+1
        else
          call clearstr(flnm(i))
        endif
      enddo
      write(6,"('nfiles=',i2)") nfiles
      return
      end
